Bug 1185298 - test-core_func_integer fails in big endian arches
Summary: test-core_func_integer fails in big endian arches
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joonas Sarajärvi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-01-23 12:19 UTC by Dan Horák
Modified: 2016-07-19 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:42:02 UTC


Attachments (Terms of Use)
Proposed fix (1.20 KB, patch)
2015-01-28 09:34 UTC, Jakub Čajka
no flags Details | Diff

Description Dan Horák 2015-01-23 12:19:08 UTC
The test-core_func_integer testcase fails on big endian arches (s390(x), ppc64)

from build.log
...
 21/100 Test  #21: test-core_func_geometric ...........   Passed    0.00 sec
        Start  22: test-core_func_integer
 22/100 Test  #22: test-core_func_integer .............***Failed    0.01 sec
        Start  23: test-core_func_integer_bit_count
 23/100 Test  #23: test-core_func_integer_bit_count ...   Passed    0.01 sec
        Start  24: test-core_func_integer_find_lsb
...

for full log please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1712779 or
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2288784

When running the test manually I get

[sharkcz@devel3 build]$ ctest --output-on-failure -V -R test-core_func_integer
UpdateCTestConfiguration  from :/home/sharkcz/glm/glm/build/DartConfiguration.tcl
UpdateCTestConfiguration  from :/home/sharkcz/glm/glm/build/DartConfiguration.tcl
Test project /home/sharkcz/glm/glm/build
Constructing a list of tests
Done constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
test 22
    Start 22: test-core_func_integer

22: Test command: /home/sharkcz/glm/glm/build/test/core/test-core_func_integer
22: Test timeout computed to be: 9.99988e+06
1/4 Test #22: test-core_func_integer .............***Failed    0.00 sec

test 23
    Start 23: test-core_func_integer_bit_count

23: Test command: /home/sharkcz/glm/glm/build/test/core/test-core_func_integer_bit_count
23: Test timeout computed to be: 9.99988e+06
2/4 Test #23: test-core_func_integer_bit_count ...   Passed    0.00 sec
test 24
    Start 24: test-core_func_integer_find_lsb

24: Test command: /home/sharkcz/glm/glm/build/test/core/test-core_func_integer_find_lsb
24: Test timeout computed to be: 9.99988e+06
3/4 Test #24: test-core_func_integer_find_lsb ....   Passed    0.00 sec
test 25
    Start 25: test-core_func_integer_find_msb

25: Test command: /home/sharkcz/glm/glm/build/test/core/test-core_func_integer_find_msb
25: Test timeout computed to be: 9.99988e+06
4/4 Test #25: test-core_func_integer_find_msb ....   Passed    0.00 sec

The following tests passed:
	test-core_func_integer_bit_count
	test-core_func_integer_find_lsb
	test-core_func_integer_find_msb

75% tests passed, 1 tests failed out of 4

Total Test time (real) =   0.01 sec

The following tests FAILED:
	 22 - test-core_func_integer (Failed)
Errors while running CTest


Version-Release number of selected component (if applicable):
glm-0.9.6.1-1.fc22

Comment 1 Jakub Čajka 2015-01-28 09:34:55 UTC
Created attachment 985047 [details]
Proposed fix

In attachment is patch fixing this issue. I have scratch-build tested it on all Fedora archs and submitted to upstream at https://github.com/g-truc/glm/pull/306.

Comment 2 Dan Horák 2015-01-28 10:08:54 UTC
proposed patch applied in glm-0.9.6.1-2.fc22, but waiting on upstream reaction before closing

Comment 3 Jaroslav Reznik 2015-03-03 16:45:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Rafael Fonseca 2015-08-13 12:19:46 UTC
Looks like the patch was integrated upstream [1]. Can this bug be closed?

[1] https://github.com/g-truc/glm/commit/05eac3c8b27e0c797d1054fcd6c4e58e9bece0e9

Comment 5 Dan Horák 2015-08-13 12:31:54 UTC
Seems the fix should be in 0.9.7 which is now in Fedora Rawhide package (glm-0.9.7.0-1.fc24), but because they switched to a noarch package we will need separate scratch builds to see whether it is really fixed as secondary arches will just import the noarch and won't run the built-in test-suite.

Comment 6 Rafael Fonseca 2015-12-09 12:22:57 UTC
I tried a ppc64-mockbuild on version 0.9.6.1 and all tests passed successfully. I'm not sure about s390x though.

Comment 7 Fedora End Of Life 2016-07-19 12:42:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.